<template>
  <view class="pages-content">
    <uv-navbar autoBack title="结算卡信息" placeholder bgColor="#fff" />
    <!-- 结算卡信息 -->
    <settlementInfo
      ref="settlementInfoRef"
      :formData="info || {}"
      :disabled="true"
      pageType="3"
    />
    <view class="footer-btn">
      <button class="u-btn-two">修改请联系平台管理员</button>
    </view>
  </view>
</template>
<script lang="ts" setup>
import { ref, reactive, onMounted } from "vue";
import { businessSettlementInfo_Api } from "@/api/index";
const info = reactive({});

const getSettlementInfo = async () => {
  try {
    uni.showLoading({ title: "加载中...", mask: true });
    const res = await businessSettlementInfo_Api();
    Object.assign(info, res.data || {});
  } catch (error) {
    console.log(error);
  } finally {
    uni.hideLoading();
  }
};

onMounted(() => {
  getSettlementInfo();
});
</script>
<style lang="scss" scoped>

.pages-content {
  width: 100%;
  box-sizing: border-box;
  min-height: 100vh;
  padding-bottom: 160rpx;
  position: relative;
  &:deep(.form-list){
	margin-top: 0 !important;
	padding-top: 0 !important;
  }
  .footer-btn {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 35rpx 60rpx;
    box-sizing: border-box;
    background: #fff;
    .u-btn-two {
      height: 90rpx;
      line-height: 90rpx;
      border-radius: 45rpx;
      background: #d9d9d9;
      color: #333333;
      font-size: 32rpx;
    }
  }
}
</style>
